.TH I3LOCK-FANCY 1 2017-06-26

.SH NAME
.B i3lock-fancy
- Bash script around i3lock for fancy effect

.SH DESCRIPTION

Takes a screenshot of the desktop, blurs the background and adds a lock icon and
text. This blurred image is then given to \fBi3lock\fR as the lockscreen
background.

.SH SYNOPSIS

.B i3lock-fancy [options]

.SH OPTIONS

.TP
\fB-h, --help\fP
Display a help screen and exit.

.TP
\fB-d, --desktop\fP
Attempt to minimize all windows before locking.

.TP
\fB-g, --greyscale\fP
Set background to greyscale instead of color.

.TP
\fB-p, --pixelate\fP
Pixelate the background instead of blur, runs faster.

.TP
\fB-f <fontname>, --font <fontname>\fP
Set a custom font.

.TP
\fB-t <text>, --text <text>\fP
Set a custom text prompt.

.TP
\fB-l, --listfonts\fP
Display a list of possible fonts for use with -f/--font.

.IP
Note: this option will not lock the screen, it displays the list and exits
immediately.

.TP
\fB-n, --nofork\fP
Do not fork i3lock after starting. 

\fIIMPORTANT\fP: See \fBKNWON BUGS\fP section.

.TP
\fB--\fP
Must be last option. Set command to use for taking a screenshot. Default is
\'import -window root\'. Using \'scrot\' or \'maim\' will increase script speed and
allow setting custom flags like having a delay.

.SH KNOWN BUGS

As of now, forking \fBdoes not\fP occur whether one uses `-n` or not. See
https://github.com/meskarune/i3lock-fancy/issues/144 for more information regarding this bug.

.SH SEE ALSO
\fBi3lock\fR(1)

.SH AUTHORS

Dolores Portalatin <hello@doloresportalatin.info>

